com.android.agf.fragments

## Class ComponentWebViewFragment.MyLoad

- java.lang.Object
- - android.os.AsyncTask<String,Void,DashComponent>
  - - com.android.agf.asynctask.LoadingDataComponent
    - - com.android.agf.fragments.ComponentWebViewFragment.MyLoad

- Enclosing class:
    ComponentWebViewFragment

       class ComponentWebViewFragment.MyLoad
      extends LoadingDataComponent

  classe local amb l'async task de carrega de les dades de la base de dades
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentWebViewFragment.MyLoad(Context ctx, String id, UserSettings user)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onPostExecute(DashComponent comp)`

    - ### Methods inherited from class com.android.agf.asynctask.LoadingDataComponent

      `doInBackground`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onPreExecute, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentWebViewFragment.MyLoad

          public ComponentWebViewFragment.MyLoad(Context ctx,
                                         String id,
                                         UserSettings user)

  - ### Method Detail

    - #### onPostExecute

          protected void onPostExecute(DashComponent comp)

      Overrides:
        `onPostExecute` in class `AsyncTask<String,Void,DashComponent>`